Bug 227042

Summary: devel/icu: update to 61.1
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: Jan Beich <jbeich>
Status: Closed FIXED    
Severity: Affects Only Me CC: office
Priority: --- Keywords: needs-qa, patch
Version: LatestFlags: bugzilla: maintainer-feedback? (office)
jbeich: exp-run+
jbeich: merge-quarterly+
Hardware: Any   
OS: Any   
See Also: https://bugzilla.mozilla.org/show_bug.cgi?id=1445465
Bug Depends on: 223373    
Bug Blocks: 229359    
Attachments:
Description Flags
v0 none

Description Jan Beich freebsd_committer 2018-03-28 17:17:42 UTC
Created attachment 191913 [details]
v0

+++ This bug was initially created as a clone of Bug #223373 +++

Firefox 61 (scheduled on 2018-06-26) is going to require ICU 61.1. In order to keep using system ICU while also benefiting from other changes let's update.
Comment 1 Jan Beich freebsd_committer 2018-03-28 17:22:18 UTC
Very few breaking changes but let's try exp-run, anyway.

https://ssl.icu-project.org/repos/icu/tags/release-61-1/icu4c/APIChangeReport.html
https://abi-laboratory.pro/tracker/objects_report/icu4c/60_2/61_1/report.html

### /usr/local/etc/poudriere.d/PR227042-make.conf ###
OPTIONS_SET += ICU UNICODE
databases_sqlite3_UNSET += ICU
Comment 2 Jan Beich freebsd_committer 2018-03-30 18:06:43 UTC
Having same ICU version on 2018Q2 would help MFH Firefox 61 on release day and help debugging (unrelated) runtime issues by mixing ports/packages between branches.

ICU 61 also has some fixes with details under embargo. As severity is unknown yet it'd be waste of QA time to backport individually.
Comment 3 Antoine Brodin freebsd_committer 2018-04-04 07:12:18 UTC
Exp-run results on 11.1 amd64:

http://package22.nyi.freebsd.org/build.html?mastername=111amd64-default-PR227042&build=2018-04-04_05h22m53s

New failures on 11.1 amd64:

+ {"origin"=>"audio/ncmpcpp", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/evolution-data-server", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/pecl-intl", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/php70-intl", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/php71-intl", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/php72-intl", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"editors/libreoffice", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/0ad", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/openttd", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/widelands", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/mapnik", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"misc/sword", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/aegisub", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"textproc/rubygem-charlock_holmes", "phase"=>"stage", "errortype"=>"clang"}
+ {"origin"=>"textproc/zorba", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/node8", "phase"=>"build", "errortype"=>"clang"}

New failure logs on 11.1 amd64:

ttp://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/ncmpcpp-0.8.1_1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/evolution-data-server-3.24.2_7.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/php56-pecl-intl-3.0.0_12.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/php70-intl-7.0.29.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/php71-intl-7.1.16.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/php72-intl-7.2.4.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/libreoffice-6.0.2_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/0ad-0.0.22_6.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/openttd-1.8.0.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/widelands-b19_7.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/mapnik-3.0.9_16.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/sword-1.8.1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/aegisub-3.2.2_25.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/rubygem-charlock_holmes-0.7.5_1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/zorba-2.7.0_19.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR227042/2018-04-04_05h22m53s/logs/errors/node8-8.11.1.log
Comment 4 Antoine Brodin freebsd_committer 2018-04-04 07:15:39 UTC
Exp-run results on 11.1 i386:

http://package23.nyi.freebsd.org/build.html?mastername=111i386-default-PR227042&build=2018-04-04_05h23m06s

New failures on 11.1 i386:

+ {"origin"=>"audio/ncmpcpp", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/evolution-data-server", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/pecl-intl", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/php70-intl", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/php71-intl", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/php72-intl", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"editors/libreoffice", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/0ad", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/openttd", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/widelands", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/mapnik", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"misc/sword", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/aegisub", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"textproc/rubygem-charlock_holmes", "phase"=>"stage", "errortype"=>"clang"}
+ {"origin"=>"textproc/zorba", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/node8", "phase"=>"build", "errortype"=>"clang"}

New failure logs on 11.1 i386:

http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/ncmpcpp-0.8.1_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/evolution-data-server-3.24.2_7.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/php56-pecl-intl-3.0.0_12.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/php70-intl-7.0.29.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/php71-intl-7.1.16.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/php72-intl-7.2.4.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/libreoffice-6.0.2_2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/0ad-0.0.22_6.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/openttd-1.8.0.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/widelands-b19_7.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/mapnik-3.0.9_16.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/sword-1.8.1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/aegisub-3.2.2_25.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/rubygem-charlock_holmes-0.7.5_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/zorba-2.7.0_19.log
http://package23.nyi.freebsd.org/data/111i386-default-PR227042/2018-04-04_05h23m06s/logs/errors/node8-8.11.1.log
Comment 5 commit-hook freebsd_committer 2018-04-04 08:04:10 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr  4 08:03:48 UTC 2018
New revision: 466396
URL: https://svnweb.freebsd.org/changeset/ports/466396

Log:
  www/node8: unbreak with ICU 61

  ../src/node_i18n.cc:526:12: error: use of undeclared identifier 'TimeZone'; did you mean 'icu::TimeZone'?
      return TimeZone::getTZDataVersion(*status);
             ^~~~~~~~
             icu::TimeZone
  /usr/local/include/unicode/timezone.h:131:18: note: 'icu::TimeZone' declared here
  class U_I18N_API TimeZone : public UObject {
                   ^

  https://ssl.icu-project.org/trac/changeset/40705

  PR:		227042
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream

Changes:
  head/www/node8/Makefile
  head/www/node8/distinfo
Comment 6 commit-hook freebsd_committer 2018-04-04 08:04:13 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr  4 08:03:58 UTC 2018
New revision: 466397
URL: https://svnweb.freebsd.org/changeset/ports/466397

Log:
  misc/sword: unbreak with ICU 61

  In file included from ../src/mgr/swmgr.cpp:108:
  ../include/utf8transliterator.h:53:2: error: unknown type name 'UnicodeString'; did you mean 'icu::UnicodeString'?
          UnicodeString resource;
          ^~~~~~~~~~~~~
          icu::UnicodeString
  /usr/local/include/unicode/unistr.h:286:20: note: 'icu::UnicodeString' declared here
  class U_COMMON_API UnicodeString : public Replaceable
                     ^
  In file included from ../src/mgr/swmgr.cpp:108:
  ../include/utf8transliterator.h:56:24: error: unknown type name 'UnicodeString'; did you mean 'icu::UnicodeString'?
  typedef std::map<const UnicodeString, SWTransData> SWTransMap;
                         ^~~~~~~~~~~~~
                         icu::UnicodeString
  /usr/local/include/unicode/unistr.h:286:20: note: 'icu::UnicodeString' declared here
  class U_COMMON_API UnicodeString : public Replaceable
                     ^
  In file included from ../src/mgr/swmgr.cpp:108:
  ../include/utf8transliterator.h:57:19: error: use of undeclared identifier 'UnicodeString'
  typedef std::pair<UnicodeString, SWTransData> SWTransPair;
                    ^
  ../include/utf8transliterator.h:84:2: error: unknown type name 'Transliterator'; did you mean 'UTransliterator'?
          Transliterator *createTrans(const UnicodeString& ID, UTransDirection dir, UErrorCode &status);
          ^~~~~~~~~~~~~~
          UTransliterator
  /usr/local/include/unicode/utrans.h:70:15: note: 'UTransliterator' declared here
  typedef void* UTransliterator;
                ^
  In file included from ../src/mgr/swmgr.cpp:108:
  ../include/utf8transliterator.h:84:36: error: unknown type name 'UnicodeString'; did you mean 'icu::UnicodeString'?
          Transliterator *createTrans(const UnicodeString& ID, UTransDirection dir, UErrorCode &status);
                                            ^~~~~~~~~~~~~
                                            icu::UnicodeString
  /usr/local/include/unicode/unistr.h:286:20: note: 'icu::UnicodeString' declared here
  class U_COMMON_API UnicodeString : public Replaceable
                     ^

  https://ssl.icu-project.org/trac/changeset/40705

  PR:		227042
  Reported by:	antoine (via exp-run)

Changes:
  head/misc/sword/Makefile
Comment 7 commit-hook freebsd_committer 2018-04-04 08:21:29 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr  4 08:21:00 UTC 2018
New revision: 466398
URL: https://svnweb.freebsd.org/changeset/ports/466398

Log:
  devel/php*-intl: unbreak with ICU 61

  In file included from ext/intl/intl_convertcpp.cpp:21:
  ./intl_convertcpp.h:29:25: error: unknown type name 'UnicodeString'
  int intl_stringFromChar(UnicodeString &ret, char *str, size_t str_len, UErrorCode *status);
                          ^
  ./intl_convertcpp.h:31:40: error: unknown type name 'UnicodeString'; did you mean 'icu::UnicodeString'?
  zend_string* intl_charFromString(const UnicodeString &from, UErrorCode *status);
                                         ^~~~~~~~~~~~~
                                         icu::UnicodeString
  /usr/local/include/unicode/unistr.h:286:20: note: 'icu::UnicodeString' declared here
  class U_COMMON_API UnicodeString : public Replaceable
                     ^
  ext/intl/intl_convertcpp.cpp:28:25: error: unknown type name 'UnicodeString'
  int intl_stringFromChar(UnicodeString &ret, char *str, size_t str_len, UErrorCode *status)
                          ^
  ext/intl/intl_convertcpp.cpp:59:40: error: unknown type name 'UnicodeString'; did you mean 'icu::UnicodeString'?
  zend_string* intl_charFromString(const UnicodeString &from, UErrorCode *status)
                                         ^~~~~~~~~~~~~
                                         icu::UnicodeString
  /usr/local/include/unicode/unistr.h:286:20: note: 'icu::UnicodeString' declared here
  class U_COMMON_API UnicodeString : public Replaceable
                     ^

  https://ssl.icu-project.org/trac/changeset/40705

  PR:		227042
  Reported by:	antoine (via exp-run)

Changes:
  head/devel/pecl-intl/Makefile
  head/devel/php70-intl/Makefile
  head/devel/php71-intl/Makefile
  head/devel/php72-intl/Makefile
Comment 8 commit-hook freebsd_committer 2018-04-04 08:21:31 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr  4 08:21:14 UTC 2018
New revision: 466399
URL: https://svnweb.freebsd.org/changeset/ports/466399

Log:
  textproc/rubygem-charlock_holmes: unbreak with ICU 61

  transliterator.cpp:39:3: error: unknown type name 'StringEnumeration'; did you mean 'icu::StringEnumeration'?
    StringEnumeration *id_list;
    ^~~~~~~~~~~~~~~~~
    icu::StringEnumeration
  /usr/local/include/unicode/strenum.h:57:20: note: 'icu::StringEnumeration' declared here
  class U_COMMON_API StringEnumeration : public UObject {
                     ^
  transliterator.cpp:47:13: error: use of undeclared identifier 'Transliterator'; did you mean 'icu::Transliterator'?
    id_list = Transliterator::getAvailableIDs(status);
              ^~~~~~~~~~~~~~
              icu::Transliterator
  /usr/local/include/unicode/translit.h:243:18: note: 'icu::Transliterator' declared here
  class U_I18N_API Transliterator : public UObject {
                   ^
  transliterator.cpp:81:3: error: unknown type name 'Transliterator'; did you mean 'UTransliterator'?
    Transliterator *trans;
    ^~~~~~~~~~~~~~
    UTransliterator
  /usr/local/include/unicode/utrans.h:70:15: note: 'UTransliterator' declared here
  typedef void* UTransliterator;
                ^
  transliterator.cpp:86:3: error: unknown type name 'UnicodeString'; did you mean 'icu::UnicodeString'?
    UnicodeString *u_txt;
    ^~~~~~~~~~~~~
    icu::UnicodeString
  /usr/local/include/unicode/unistr.h:286:20: note: 'icu::UnicodeString' declared here
  class U_COMMON_API UnicodeString : public Replaceable
                     ^
  transliterator.cpp:101:11: error: use of undeclared identifier 'Transliterator'; did you mean 'icu::Transliterator'?
    trans = Transliterator::createInstance(UnicodeString(id, id_len), UTRANS_FORWARD, p_error, status);
            ^~~~~~~~~~~~~~
            icu::Transliterator
  /usr/local/include/unicode/translit.h:243:18: note: 'icu::Transliterator' declared here
  class U_I18N_API Transliterator : public UObject {
                   ^
  transliterator.cpp:101:42: error: use of undeclared identifier 'UnicodeString'
    trans = Transliterator::createInstance(UnicodeString(id, id_len), UTRANS_FORWARD, p_error, status);
                                           ^
  transliterator.cpp:106:15: error: unknown type name 'UnicodeString'; did you mean 'icu::UnicodeString'?
    u_txt = new UnicodeString(txt, txt_len);
                ^~~~~~~~~~~~~
                icu::UnicodeString
  /usr/local/include/unicode/unistr.h:286:20: note: 'icu::UnicodeString' declared here
  class U_COMMON_API UnicodeString : public Replaceable
                     ^
  transliterator.cpp:107:8: error: member reference base type 'UTransliterator' (aka 'void *') is not a structure or union
    trans->transliterate(*u_txt);
    ~~~~~^ ~~~~~~~~~~~~~
  transliterator.cpp:108:3: error: no template named 'StringByteSink'; did you mean 'icu::StringByteSink'?
    StringByteSink<std::string> sink(&result);
    ^~~~~~~~~~~~~~
    icu::StringByteSink
  /usr/local/include/unicode/bytestream.h:232:7: note: 'icu::StringByteSink' declared here
  class StringByteSink : public ByteSink {
        ^

  https://ssl.icu-project.org/trac/changeset/40705

  PR:		227042
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream

Changes:
  head/textproc/rubygem-charlock_holmes/Makefile
  head/textproc/rubygem-charlock_holmes/distinfo
Comment 9 commit-hook freebsd_committer 2018-04-04 08:27:38 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr  4 08:27:22 UTC 2018
New revision: 466400
URL: https://svnweb.freebsd.org/changeset/ports/466400

Log:
  audio/ncmpcpp: unbreak with ICU 61

  In file included from screens/browser.cpp:27:
  In file included from ./screens/browser.h:26:
  ./regex_filter.h:45:22: error: unknown type name 'UnicodeString'; did you mean 'icu::UnicodeString'?
          static void convert(UnicodeString &s)
                              ^~~~~~~~~~~~~
                              icu::UnicodeString
  /usr/local/include/unicode/unistr.h:286:20: note: 'icu::UnicodeString' declared here
  class U_COMMON_API UnicodeString : public Replaceable
                     ^
  In file included from screens/browser.cpp:27:
  In file included from ./screens/browser.h:26:
  ./regex_filter.h:61:9: error: unknown type name 'Transliterator'; did you mean 'UTransliterator'?
          static Transliterator *m_converter;
                 ^~~~~~~~~~~~~~
                 UTransliterator
  /usr/local/include/unicode/utrans.h:70:15: note: 'UTransliterator' declared here
  typedef void* UTransliterator;
                ^
  In file included from screens/browser.cpp:27:
  In file included from ./screens/browser.h:26:
  ./regex_filter.h:49:4: error: unknown type name 'ErrorCode'; did you mean 'UErrorCode'?
                          ErrorCode result;
                          ^~~~~~~~~
                          UErrorCode
  /usr/local/include/unicode/utypes.h:663:3: note: 'UErrorCode' declared here
  } UErrorCode;
    ^
  In file included from screens/browser.cpp:27:
  In file included from ./screens/browser.h:26:
  ./regex_filter.h:50:18: error: use of undeclared identifier 'Transliterator'; did you mean 'icu::Transliterator'?
                          m_converter = Transliterator::createInstance(
                                        ^~~~~~~~~~~~~~
                                        icu::Transliterator
  /usr/local/include/unicode/translit.h:243:18: note: 'icu::Transliterator' declared here
  class U_I18N_API Transliterator : public UObject {
                   ^
  In file included from screens/browser.cpp:27:
  In file included from ./screens/browser.h:26:
  ./regex_filter.h:50:18: error: assigning to 'UTransliterator *' (aka 'void **') from incompatible type 'icu::Transliterator *'
                          m_converter = Transliterator::createInstance(
                                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ./regex_filter.h:52:14: error: member reference base type 'UErrorCode' is not a structure or union
                          if (result.isFailure())
                              ~~~~~~^~~~~~~~~~
  ./regex_filter.h:55:26: error: member reference base type 'UErrorCode' is not a structure or union
                                          + std::string(result.errorName()));
                                                        ~~~~~~^~~~~~~~~~
  ./regex_filter.h:57:14: error: member reference base type 'UTransliterator' (aka 'void *') is not a structure or union
                  m_converter->transliterate(s);
                  ~~~~~~~~~~~^ ~~~~~~~~~~~~~
  ./regex_filter.h:64:1: error: unknown type name 'Transliterator'; did you mean 'UTransliterator'?
  Transliterator *StripDiacritics::m_converter;
  ^~~~~~~~~~~~~~
  UTransliterator
  /usr/local/include/unicode/utrans.h:70:15: note: 'UTransliterator' declared here
  typedef void* UTransliterator;
                ^
  In file included from screens/browser.cpp:27:
  In file included from ./screens/browser.h:26:
  ./regex_filter.h:102:14: error: use of undeclared identifier 'UnicodeString'; did you mean 'icu::UnicodeString'?
                          auto us = UnicodeString::fromUTF8(
                                    ^~~~~~~~~~~~~
                                    icu::UnicodeString
  /usr/local/include/unicode/unistr.h:286:20: note: 'icu::UnicodeString' declared here
  class U_COMMON_API UnicodeString : public Replaceable
                     ^
  In file included from screens/browser.cpp:27:
  In file included from ./screens/browser.h:26:
  ./regex_filter.h:103:5: error: use of undeclared identifier 'StringPiece'
                                  StringPiece(convertString<char, CharT>::apply(s)));
                                  ^
  screens/browser.cpp:737:16: note: in instantiation of function template specialization 'Regex::search<char>' requested here
          return Regex::search(itemToString(item), rx, Config.ignore_diacritics);
                        ^

  https://ssl.icu-project.org/trac/changeset/40705

  PR:		227042
  Reported by:	antoine (via exp-run)

Changes:
  head/audio/ncmpcpp/Makefile
Comment 10 commit-hook freebsd_committer 2018-04-04 09:38:23 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr  4 09:38:05 UTC 2018
New revision: 466409
URL: https://svnweb.freebsd.org/changeset/ports/466409

Log:
  databases/evolution-data-server: unbreak with ICU 61

  src/libedataserver/e-alphabet-index-private.cpp:79:2: error: unknown type name 'UnicodeString'; did you mean 'icu::UnicodeString'?
          UnicodeString string;
          ^~~~~~~~~~~~~
          icu::UnicodeString
  /usr/local/include/unicode/unistr.h:286:20: note: 'icu::UnicodeString' declared here
  class U_COMMON_API UnicodeString : public Replaceable
                     ^
  src/libedataserver/e-alphabet-index-private.cpp:132:3: error: unknown type name 'UnicodeString'; did you mean 'icu::UnicodeString'?
                  UnicodeString ustring;
                  ^~~~~~~~~~~~~
                  icu::UnicodeString
  /usr/local/include/unicode/unistr.h:286:20: note: 'icu::UnicodeString' declared here
  class U_COMMON_API UnicodeString : public Replaceable
                     ^

  https://ssl.icu-project.org/trac/changeset/40705

  PR:		227042
  Reported by:	antoine (via exp-run)

Changes:
  head/databases/evolution-data-server/files/patch-icu61
Comment 11 commit-hook freebsd_committer 2018-04-04 09:47:32 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr  4 09:46:30 UTC 2018
New revision: 466410
URL: https://svnweb.freebsd.org/changeset/ports/466410

Log:
  graphics/mapnik: unbreak with ICU 61

  src/text/text_layout.cpp:234:5: error: unknown type name 'Locale'; did you mean 'icu::Locale'?
      Locale locale; // TODO: Is the default constructor correct?
      ^~~~~~
      icu::Locale
  /usr/local/include/unicode/locid.h:188:20: note: 'icu::Locale' declared here
  class U_COMMON_API Locale : public UObject {
                     ^
  src/text/text_layout.cpp:236:21: error: unknown type name 'BreakIterator'; did you mean 'UBreakIterator'?
      std::unique_ptr<BreakIterator> breakitr(BreakIterator::createLineInstance(locale, status));
                      ^~~~~~~~~~~~~
                      UBreakIterator
  /usr/local/include/unicode/ustring.h:33:35: note: 'UBreakIterator' declared here
      typedef struct UBreakIterator UBreakIterator;
                                    ^
  src/text/text_layout.cpp:236:45: error: use of undeclared identifier 'BreakIterator'; did you mean 'UBreakIterator'?
      std::unique_ptr<BreakIterator> breakitr(BreakIterator::createLineInstance(locale, status));
                                              ^~~~~~~~~~~~~
                                              UBreakIterator
  /usr/local/include/unicode/ustring.h:33:35: note: 'UBreakIterator' declared here
      typedef struct UBreakIterator UBreakIterator;
                                    ^
  src/text/text_layout.cpp:236:45: error: incomplete type 'UBreakIterator' named in nested name specifier
      std::unique_ptr<BreakIterator> breakitr(BreakIterator::createLineInstance(locale, status));
                                              ^~~~~~~~~~~~~~~
  /usr/local/include/unicode/ustring.h:33:20: note: forward declaration of 'UBreakIterator'
      typedef struct UBreakIterator UBreakIterator;
                     ^
  src/text/text_layout.cpp:247:13: error: member access into incomplete type 'UBreakIterator'
      breakitr->setText(text);
              ^
  /usr/local/include/unicode/ustring.h:33:20: note: forward declaration of 'UBreakIterator'
      typedef struct UBreakIterator UBreakIterator;
                     ^
  src/text/text_layout.cpp:260:53: error: member access into incomplete type 'UBreakIterator'
          int break_position = wrap_before_ ? breakitr->preceding(i + 1) : breakitr->following(i);
                                                      ^
  /usr/local/include/unicode/ustring.h:33:20: note: forward declaration of 'UBreakIterator'
      typedef struct UBreakIterator UBreakIterator;
                     ^
  src/text/text_layout.cpp:260:55: error: expected ':'
          int break_position = wrap_before_ ? breakitr->preceding(i + 1) : breakitr->following(i);
                                                        ^
                                                        :
  src/text/text_layout.cpp:260:43: note: to match this '?'
          int break_position = wrap_before_ ? breakitr->preceding(i + 1) : breakitr->following(i);
                                            ^
  src/text/text_layout.cpp:260:55: error: use of undeclared identifier 'preceding'
          int break_position = wrap_before_ ? breakitr->preceding(i + 1) : breakitr->following(i);
                                                        ^
  src/text/text_layout.cpp:263:89: error: use of undeclared identifier 'BreakIterator'; did you mean 'UBreakIterator'?
          if (break_position <= last_break_position || break_position == static_cast<int>(BreakIterator::DONE))
                                                                                          ^~~~~~~~~~~~~
                                                                                          UBreakIterator
  /usr/local/include/unicode/ustring.h:33:35: note: 'UBreakIterator' declared here
      typedef struct UBreakIterator UBreakIterator;
                                    ^
  src/text/text_layout.cpp:263:89: error: incomplete type 'UBreakIterator' named in nested name specifier
          if (break_position <= last_break_position || break_position == static_cast<int>(BreakIterator::DONE))
                                                                                          ^~~~~~~~~~~~~~~
  /usr/local/include/unicode/ustring.h:33:20: note: forward declaration of 'UBreakIterator'
      typedef struct UBreakIterator UBreakIterator;
                     ^
  src/text/text_layout.cpp:267:38: error: member access into incomplete type 'UBreakIterator'
              break_position = breakitr->following(i);
                                       ^
  /usr/local/include/unicode/ustring.h:33:20: note: forward declaration of 'UBreakIterator'
      typedef struct UBreakIterator UBreakIterator;
                     ^
  src/text/text_layout.cpp:268:52: error: use of undeclared identifier 'BreakIterator'; did you mean 'UBreakIterator'?
              if (break_position == static_cast<int>(BreakIterator::DONE))
                                                     ^~~~~~~~~~~~~
                                                     UBreakIterator
  /usr/local/include/unicode/ustring.h:33:35: note: 'UBreakIterator' declared here
      typedef struct UBreakIterator UBreakIterator;
                                    ^
  src/text/text_layout.cpp:268:52: error: incomplete type 'UBreakIterator' named in nested name specifier
              if (break_position == static_cast<int>(BreakIterator::DONE))
                                                     ^~~~~~~~~~~~~~~
  /usr/local/include/unicode/ustring.h:33:20: note: forward declaration of 'UBreakIterator'
      typedef struct UBreakIterator UBreakIterator;
                     ^
  src/text/text_layout.cpp:373:89: error: use of undeclared identifier 'BreakIterator'; did you mean 'UBreakIterator'?
          if (break_position <= last_break_position || break_position == static_cast<int>(BreakIterator::DONE))
                                                                                          ^~~~~~~~~~~~~
                                                                                          UBreakIterator
  /usr/local/include/unicode/ustring.h:33:35: note: 'UBreakIterator' declared here
      typedef struct UBreakIterator UBreakIterator;
                                    ^
  src/text/text_layout.cpp:373:89: error: incomplete type 'UBreakIterator' named in nested name specifier
          if (break_position <= last_break_position || break_position == static_cast<int>(BreakIterator::DONE))
                                                                                          ^~~~~~~~~~~~~~~
  /usr/local/include/unicode/ustring.h:33:20: note: forward declaration of 'UBreakIterator'
      typedef struct UBreakIterator UBreakIterator;
                     ^
  src/text/text_layout.cpp:376:52: error: use of undeclared identifier 'BreakIterator'; did you mean 'UBreakIterator'?
              if (break_position == static_cast<int>(BreakIterator::DONE))
                                                     ^~~~~~~~~~~~~
                                                     UBreakIterator
  /usr/local/include/unicode/ustring.h:33:35: note: 'UBreakIterator' declared here
      typedef struct UBreakIterator UBreakIterator;
                                    ^
  src/text/text_layout.cpp:376:52: error: incomplete type 'UBreakIterator' named in nested name specifier
              if (break_position == static_cast<int>(BreakIterator::DONE))
                                                     ^~~~~~~~~~~~~~~
  /usr/local/include/unicode/ustring.h:33:20: note: forward declaration of 'UBreakIterator'
      typedef struct UBreakIterator UBreakIterator;
                     ^

  https://ssl.icu-project.org/trac/changeset/40705

  PR:		227042
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream

Changes:
  head/graphics/mapnik/Makefile
  head/graphics/mapnik/distinfo
Comment 12 commit-hook freebsd_committer 2018-04-04 09:47:34 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr  4 09:46:41 UTC 2018
New revision: 466411
URL: https://svnweb.freebsd.org/changeset/ports/466411

Log:
  multimedia/aegisub: unbreak with ICU 61

  libaegisub/common/character_count.cpp:41:12: error: use of undeclared identifier 'BreakIterator'; did you mean 'UBreakIterator'?
                  bi.reset(BreakIterator::createCharacterInstance(Locale::getDefault(), status));
                           ^~~~~~~~~~~~~
                           UBreakIterator
  /usr/local/include/unicode/ubrk.h:28:35: note: 'UBreakIterator' declared here
      typedef struct UBreakIterator UBreakIterator;
                                    ^
  libaegisub/common/character_count.cpp:41:12: error: incomplete type 'UBreakIterator' named in nested name specifier
                  bi.reset(BreakIterator::createCharacterInstance(Locale::getDefault(), status));
                           ^~~~~~~~~~~~~~~
  /usr/local/include/unicode/ubrk.h:28:20: note: forward declaration of 'UBreakIterator'
      typedef struct UBreakIterator UBreakIterator;
                     ^
  libaegisub/common/character_count.cpp:41:51: error: use of undeclared identifier 'Locale'; did you mean 'icu::Locale'?
                  bi.reset(BreakIterator::createCharacterInstance(Locale::getDefault(), status));
                                                                  ^~~~~~
                                                                  icu::Locale
  /usr/local/include/unicode/locid.h:188:20: note: 'icu::Locale' declared here
  class U_COMMON_API Locale : public UObject {
                     ^
  libaegisub/common/character_count.cpp:63:46: error: use of undeclared identifier 'BreakIterator'; did you mean 'UBreakIterator'?
          for (auto end = character_bi.next(); end != BreakIterator::DONE; pos = end, end = character_bi.next()) {
                                                      ^~~~~~~~~~~~~
                                                      UBreakIterator
  /usr/local/include/unicode/ubrk.h:28:35: note: 'UBreakIterator' declared here
      typedef struct UBreakIterator UBreakIterator;
                                    ^
  libaegisub/common/character_count.cpp:63:46: error: incomplete type 'UBreakIterator' named in nested name specifier
          for (auto end = character_bi.next(); end != BreakIterator::DONE; pos = end, end = character_bi.next()) {
                                                      ^~~~~~~~~~~~~~~
  /usr/local/include/unicode/ubrk.h:28:20: note: forward declaration of 'UBreakIterator'
      typedef struct UBreakIterator UBreakIterator;
                     ^
  libaegisub/common/character_count.cpp:148:14: error: use of undeclared identifier 'BreakIterator'; did you mean 'UBreakIterator'?
                  if (end == BreakIterator::DONE)
                             ^~~~~~~~~~~~~
                             UBreakIterator
  /usr/local/include/unicode/ubrk.h:28:35: note: 'UBreakIterator' declared here
      typedef struct UBreakIterator UBreakIterator;
                                    ^
  libaegisub/common/character_count.cpp:148:14: error: incomplete type 'UBreakIterator' named in nested name specifier
                  if (end == BreakIterator::DONE)
                             ^~~~~~~~~~~~~~~
  /usr/local/include/unicode/ubrk.h:28:20: note: forward declaration of 'UBreakIterator'
      typedef struct UBreakIterator UBreakIterator;
                     ^

  https://ssl.icu-project.org/trac/changeset/40705

  PR:		227042
  Reported by:	antoine (via exp-run)

Changes:
  head/multimedia/aegisub/Makefile
Comment 13 commit-hook freebsd_committer 2018-04-04 10:04:51 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr  4 10:04:30 UTC 2018
New revision: 466412
URL: https://svnweb.freebsd.org/changeset/ports/466412

Log:
  games/openttd: unbreak with ICU 61

  src/language.h:108:8: error: unknown type name 'Collator'; did you mean 'UCollator'?
  extern Collator *_current_collator;
         ^~~~~~~~
         UCollator
  /usr/local/include/unicode/ucol.h:58:26: note: 'UCollator' declared here
  typedef struct UCollator UCollator;
                           ^

  https://ssl.icu-project.org/trac/changeset/40705

  PR:		227042
  Reported by:	antoine (via exp-run)

Changes:
  head/games/openttd/Makefile
Comment 14 commit-hook freebsd_committer 2018-04-04 10:11:01 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr  4 10:10:26 UTC 2018
New revision: 466414
URL: https://svnweb.freebsd.org/changeset/ports/466414

Log:
  games/widelands: unbreak with ICU 61

  In file included from src/graphic/font_handler.cc:36:
  src/graphic/text/bidi.h:43:36: error: unknown type name 'UnicodeString'; did you mean 'icu::UnicodeString'?
  std::string icustring2string(const UnicodeString& convertme);
                                     ^~~~~~~~~~~~~
                                     icu::UnicodeString
  /usr/local/include/unicode/unistr.h:286:20: note: 'icu::UnicodeString' declared here
  class U_COMMON_API UnicodeString : public Replaceable
                     ^

  https://ssl.icu-project.org/trac/changeset/40705

  PR:		227042
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream

Changes:
  head/games/widelands/files/patch-src_graphic_text_bidi.h
Comment 15 commit-hook freebsd_committer 2018-04-04 10:12:04 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr  4 10:11:14 UTC 2018
New revision: 466415
URL: https://svnweb.freebsd.org/changeset/ports/466415

Log:
  games/0ad: unbreak with ICU 61

  In file included from ../../../source/lobby/XmppClient.cpp:26:
  ../../../source/i18n/L10n.h:89:2: error: unknown type name 'Locale'; did you mean 'icu::Locale'?
          Locale GetCurrentLocale() const;
          ^~~~~~
          icu::Locale
  /usr/local/include/unicode/unistr.h:77:7: note: 'icu::Locale' declared here
  class Locale;               // unicode/locid.h
        ^
  In file included from ../../../source/lobby/XmppClient.cpp:26:
  ../../../source/i18n/L10n.h:133:24: error: unknown type name 'Locale'; did you mean 'icu::Locale'?
          bool SaveLocale(const Locale& locale) const;
                                ^~~~~~
                                icu::Locale
  /usr/local/include/unicode/unistr.h:77:7: note: 'icu::Locale' declared here
  class Locale;               // unicode/locid.h
        ^
  In file included from ../../../source/lobby/XmppClient.cpp:26:
  ../../../source/i18n/L10n.h:235:54: error: unknown type name 'Locale'; did you mean 'icu::Locale'?
          std::wstring GetFallbackToAvailableDictLocale(const Locale& locale) const;
                                                              ^~~~~~
                                                              icu::Locale
  /usr/local/include/unicode/unistr.h:77:7: note: 'icu::Locale' declared here
  class Locale;               // unicode/locid.h
        ^
  In file included from ../../../source/lobby/XmppClient.cpp:26:
  ../../../source/i18n/L10n.h:283:66: error: unknown type name 'Locale'; did you mean 'icu::Locale'?
          void GetDictionaryLocale(const std::string& configLocaleString, Locale& outLocale) const;
                                                                          ^~~~~~
                                                                          icu::Locale
  /usr/local/include/unicode/unistr.h:77:7: note: 'icu::Locale' declared here
  class Locale;               // unicode/locid.h
        ^
  In file included from ../../../source/lobby/XmppClient.cpp:26:
  ../../../source/i18n/L10n.h:314:28: error: unknown type name 'Locale'; did you mean 'icu::Locale'?
          bool ValidateLocale(const Locale& locale) const;
                                    ^~~~~~
                                    icu::Locale
  /usr/local/include/unicode/unistr.h:77:7: note: 'icu::Locale' declared here
  class Locale;               // unicode/locid.h
        ^
  In file included from ../../../source/lobby/XmppClient.cpp:26:
  ../../../source/i18n/L10n.h:411:98: error: unknown type name 'Locale'; did you mean 'icu::Locale'?
          UDate ParseDateTime(const std::string& dateTimeString, const std::string& dateTimeFormat, const Locale& locale) const;
                                                                                                          ^~~~~~
                                                                                                          icu::Locale
  /usr/local/include/unicode/unistr.h:77:7: note: 'icu::Locale' declared here
  class Locale;               // unicode/locid.h
        ^
  In file included from ../../../source/lobby/XmppClient.cpp:26:
  ../../../source/i18n/L10n.h:427:85: error: use of undeclared identifier 'DateFormat'; did you mean 'icu::DateFormat'?
          std::string LocalizeDateTime(const UDate dateTime, const DateTimeType& type, const DateFormat::EStyle& style) const;
                                                                                             ^~~~~~~~~~
                                                                                             icu::DateFormat
  /usr/local/include/unicode/smpdtfmt.h:46:7: note: 'icu::DateFormat' declared here
  class DateFormat;
        ^
  In file included from ../../../source/lobby/XmppClient.cpp:26:
  ../../../source/i18n/L10n.h:508:2: error: unknown type name 'Locale'; did you mean 'icu::Locale'?
          Locale currentLocale;
          ^~~~~~
          icu::Locale
  /usr/local/include/unicode/unistr.h:77:7: note: 'icu::Locale' declared here
  class Locale;               // unicode/locid.h
        ^
  In file included from ../../../source/lobby/XmppClient.cpp:26:
  ../../../source/i18n/L10n.h:519:14: error: use of undeclared identifier 'Locale'
          std::vector<Locale*> availableLocales;
                      ^
  ../../../source/i18n/L10n.h:519:21: error: expected expression
          std::vector<Locale*> availableLocales;
                             ^
  ../../../source/i18n/L10n.h:590:2: error: unknown type name 'DateFormat'; did you mean 'UDateFormat'?
          DateFormat* CreateDateTimeInstance(const DateTimeType& type, const DateFormat::EStyle& style, const Locale& locale) const;
          ^~~~~~~~~~
          UDateFormat
  /usr/local/include/unicode/udat.h:153:15: note: 'UDateFormat' declared here
  typedef void* UDateFormat;
                ^
  In file included from ../../../source/lobby/XmppClient.cpp:26:
  ../../../source/i18n/L10n.h:590:69: error: use of undeclared identifier 'DateFormat'; did you mean 'icu::DateFormat'?
          DateFormat* CreateDateTimeInstance(const DateTimeType& type, const DateFormat::EStyle& style, const Locale& locale) const;
                                                                             ^~~~~~~~~~
                                                                             icu::DateFormat
  /usr/local/include/unicode/smpdtfmt.h:46:7: note: 'icu::DateFormat' declared here
  class DateFormat;
        ^
  In file included from ../../../source/lobby/XmppClient.cpp:26:
  ../../../source/i18n/L10n.h:590:102: error: unknown type name 'Locale'; did you mean 'icu::Locale'?
          DateFormat* CreateDateTimeInstance(const DateTimeType& type, const DateFormat::EStyle& style, const Locale& locale) const;
                                                                                                              ^~~~~~
                                                                                                              icu::Locale
  /usr/local/include/unicode/unistr.h:77:7: note: 'icu::Locale' declared here
  class Locale;               // unicode/locid.h
        ^
  ../../../source/lobby/XmppClient.cpp:948:81: error: use of undeclared identifier 'Locale'; did you mean 'icu::Locale'?
          return g_L10n.ParseDateTime(msg.when()->stamp().to_string(), "Y-M-d'T'H:m:sZ", Locale::getUS()) / 1000.0;
                                                                                         ^~~~~~
                                                                                         icu::Locale
  /usr/local/include/unicode/unistr.h:77:7: note: 'icu::Locale' declared here
  class Locale;               // unicode/locid.h
        ^

  https://ssl.icu-project.org/trac/changeset/40705

  PR:		227042
  Reported by:	antoine (via exp-run)

Changes:
  head/games/0ad/Makefile
Comment 16 commit-hook freebsd_committer 2018-04-04 10:12:06 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr  4 10:11:48 UTC 2018
New revision: 466416
URL: https://svnweb.freebsd.org/changeset/ports/466416

Log:
  textproc/zorba: unbreak with ICU 61

  In file included from src/functions/func_any_uri.cpp:27:
  In file included from src/functions/func_any_uri.h:30:
  In file included from src/functions/function_impl.h:25:
  In file included from src/context/static_context.h:43:
  In file included from src/zorbautils/hashmap_zstring.h:23:
  src/util/utf8_util.h:784:22: error: unknown type name 'Collator'; did you mean 'UCollator'?
    return static_cast<Collator*>( collation->getCollator() )->compare(us1, us2);
                       ^~~~~~~~
                       UCollator
  /usr/local/include/unicode/ucol.h:58:26: note: 'UCollator' declared here
  typedef struct UCollator UCollator;
                           ^
  In file included from src/runtime/full_text/default_tokenizer.cpp:25:
  src/runtime/full_text/icu_tokenizer.h:56:27: error: unknown type name 'RuleBasedBreakIterator'; did you mean 'icu::RuleBasedBreakIterator'?
    typedef std::unique_ptr<RuleBasedBreakIterator> rbbi_ptr;
                            ^~~~~~~~~~~~~~~~~~~~~~
                            icu::RuleBasedBreakIterator
  /usr/local/include/unicode/rbbi.h:53:20: note: 'icu::RuleBasedBreakIterator' declared here
  class U_COMMON_API RuleBasedBreakIterator /*U_FINAL*/ : public BreakIterator {
                     ^

  https://ssl.icu-project.org/trac/changeset/40705

  PR:		227042
  Reported by:	antoine (via exp-run)

Changes:
  head/textproc/zorba/Makefile
Comment 17 commit-hook freebsd_committer 2018-04-04 11:50:26 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr  4 11:50:00 UTC 2018
New revision: 466431
URL: https://svnweb.freebsd.org/changeset/ports/466431

Log:
  editors/libreoffice: unbreak with ICU 61

  i18nutil/source/utility/unicode.cxx:753:21: error: unknown type name 'NumberFormat'; did you mean 'UNumberFormat'?
      std::unique_ptr<NumberFormat> xF(
                      ^~~~~~~~~~~~
                      UNumberFormat
  /usr/local/include/unicode/unum.h:140:15: note: 'UNumberFormat' declared here
  typedef void* UNumberFormat;
                ^
  i18nutil/source/utility/unicode.cxx:754:9: error: use of undeclared identifier 'NumberFormat'; did you mean 'icu::NumberFormat'?
          NumberFormat::createPercentInstance(aLocale, errorCode));
          ^~~~~~~~~~~~
          icu::NumberFormat
  /usr/local/include/unicode/numfmt.h:174:18: note: 'icu::NumberFormat' declared here
  class U_I18N_API NumberFormat : public Format {
                   ^
  i18nutil/source/utility/unicode.cxx:753:35: error: no matching constructor for initialization of 'std::unique_ptr<UNumberFormat>' (aka 'unique_ptr<void *>')
      std::unique_ptr<NumberFormat> xF(
                                    ^
  /usr/include/c++/v1/memory:2425:28: note: candidate constructor (the implicit copy constructor) not viable: no known conversion from 'icu::NumberFormat *' to 'const std::__1::unique_ptr<void *, std::__1::default_delete<void *> >' for 1st argument
  class _LIBCPP_TEMPLATE_VIS unique_ptr
                             ^
  /usr/include/c++/v1/memory:2454:49: note: candidate constructor not viable: no known conversion from 'icu::NumberFormat *' to 'nullptr_t' for 1st argument
      _LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR unique_ptr(nullptr_t) _NOEXCEPT
                                                  ^
  /usr/include/c++/v1/memory:2460:40: note: candidate constructor not viable: no known conversion from 'icu::NumberFormat *' to 'pointer' (aka 'void **') for 1st argument
      _LIBCPP_INLINE_VISIBILITY explicit unique_ptr(pointer __p) _NOEXCEPT
                                         ^
  /usr/include/c++/v1/memory:2481:31: note: candidate constructor not viable: no known conversion from 'icu::NumberFormat *' to 'std::__1::unique_ptr<void *, std::__1::default_delete<void *> >' for 1st argument
      _LIBCPP_INLINE_VISIBILITY unique_ptr(unique_ptr&& __u) _NOEXCEPT
                                ^
  /usr/include/c++/v1/memory:2485:9: note: candidate template ignored: could not match 'unique_ptr<type-parameter-0-0, type-parameter-0-1>' against 'icu::NumberFormat *'
          unique_ptr(unique_ptr<_Up, _Ep>&& __u,
          ^
  /usr/include/c++/v1/memory:2500:35: note: candidate template ignored: could not match 'auto_ptr<type-parameter-0-0>' against 'icu::NumberFormat *'
          _LIBCPP_INLINE_VISIBILITY unique_ptr(auto_ptr<_Up>&& __p,
                                    ^
  /usr/include/c++/v1/memory:2448:49: note: candidate constructor not viable: requires 0 arguments, but 1 was provided
      _LIBCPP_INLINE_VISIBILITY _LIBCPP_CONSTEXPR unique_ptr() _NOEXCEPT
                                                  ^
  /usr/include/c++/v1/memory:2468:31: note: candidate constructor not viable: requires 2 arguments, but 1 was provided
      _LIBCPP_INLINE_VISIBILITY unique_ptr(pointer __p, typename conditional<
                                ^
  /usr/include/c++/v1/memory:2475:31: note: candidate constructor not viable: requires 2 arguments, but 1 was provided
      _LIBCPP_INLINE_VISIBILITY unique_ptr(pointer __p, typename remove_reference<deleter_type>::type&& __d)
                                ^
  i18nutil/source/utility/unicode.cxx:761:5: error: unknown type name 'UnicodeString'; did you mean 'icu::UnicodeString'?
      UnicodeString output;
      ^~~~~~~~~~~~~
      icu::UnicodeString
  /usr/local/include/unicode/unistr.h:286:20: note: 'icu::UnicodeString' declared here
  class U_COMMON_API UnicodeString : public Replaceable
                     ^

  https://ssl.icu-project.org/trac/changeset/40705

  PR:		227042
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream

Changes:
  head/editors/libreoffice/files/patch-icu61
Comment 18 commit-hook freebsd_committer 2018-04-04 12:03:39 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr  4 12:03:04 UTC 2018
New revision: 466433
URL: https://svnweb.freebsd.org/changeset/ports/466433

Log:
  MFH: r466396 r466397 r466398 r466399 r466400 r466409 r466410 r466411 r466412 r466414 r466415 r466416 r466431

  devel/icu: prepare consumers for 61 update

  https://ssl.icu-project.org/trac/changeset/40705

  PR:		227042
  Reported by:	antoine (via exp-run)
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2018Q2/
  branches/2018Q2/audio/ncmpcpp/Makefile
  branches/2018Q2/databases/evolution-data-server/files/patch-icu61
  branches/2018Q2/devel/pecl-intl/Makefile
  branches/2018Q2/devel/php70-intl/Makefile
  branches/2018Q2/devel/php71-intl/Makefile
  branches/2018Q2/devel/php72-intl/Makefile
  branches/2018Q2/editors/libreoffice/files/patch-icu61
  branches/2018Q2/games/0ad/Makefile
  branches/2018Q2/games/openttd/Makefile
  branches/2018Q2/games/widelands/files/patch-src_graphic_text_bidi.h
  branches/2018Q2/graphics/mapnik/Makefile
  branches/2018Q2/graphics/mapnik/distinfo
  branches/2018Q2/misc/sword/Makefile
  branches/2018Q2/multimedia/aegisub/Makefile
  branches/2018Q2/textproc/rubygem-charlock_holmes/Makefile
  branches/2018Q2/textproc/rubygem-charlock_holmes/distinfo
  branches/2018Q2/textproc/zorba/Makefile
  branches/2018Q2/www/node8/Makefile
  branches/2018Q2/www/node8/distinfo
Comment 19 Jan Beich freebsd_committer 2018-04-04 12:04:43 UTC
Antoine, can you re-try on 11.1 i386/amd64? Can you also check 2018Q2 at least on 11.1 amd64?
Comment 20 Antoine Brodin freebsd_committer 2018-04-06 13:26:58 UTC
Exp-run looks fine on ports/head.

2018Q2 not tested yet.
Comment 21 commit-hook freebsd_committer 2018-04-06 15:54:20 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr  6 15:53:27 UTC 2018
New revision: 466648
URL: https://svnweb.freebsd.org/changeset/ports/466648

Log:
  devel/icu: update to 61.1

  Changes:	http://site.icu-project.org/download/61
  ABI:		https://abi-laboratory.pro/tracker/timeline/icu4c/
  PR:		227042
  Exp-run by:	antoine
  MFH:		2018Q2 (required by Firefox 61)

Changes:
  head/archivers/unarchiver/Makefile
  head/audio/musicpd/Makefile
  head/audio/ncmpcpp/Makefile
  head/databases/clickhouse/Makefile
  head/databases/couchdb/Makefile
  head/databases/evolution-data-server/Makefile
  head/databases/firebird25-client/Makefile
  head/databases/firebird25-server/Makefile
  head/databases/kdb/Makefile
  head/databases/postgresql10-server/Makefile
  head/databases/postgresql96-server/Makefile
  head/databases/sqlite3/Makefile
  head/databases/tarantool/Makefile
  head/deskutils/bijiben/Makefile
  head/deskutils/calibre/Makefile
  head/deskutils/gnome-calendar/Makefile
  head/deskutils/gnome-todo/Makefile
  head/deskutils/orage/Makefile
  head/deskutils/osmo/Makefile
  head/devel/boost-libs/Makefile
  head/devel/dee/Makefile
  head/devel/glib20/Makefile
  head/devel/hs-text-icu/Makefile
  head/devel/icu/Makefile
  head/devel/icu/distinfo
  head/devel/icu-le-hb/Makefile
  head/devel/libical/Makefile
  head/devel/libzim/Makefile
  head/devel/objecthash/Makefile
  head/devel/pecl-intl/Makefile
  head/devel/php70-intl/Makefile
  head/devel/php71-intl/Makefile
  head/devel/php72-intl/Makefile
  head/devel/py-pyicu/Makefile
  head/devel/qt4-corelib/Makefile
  head/devel/qt5-core/Makefile
  head/dns/libpsl/Makefile
  head/editors/libreoffice/Makefile.common
  head/editors/poedit/Makefile
  head/games/0ad/Makefile
  head/games/an/Makefile
  head/games/liblcf/Makefile
  head/games/openttd/Makefile
  head/games/widelands/Makefile
  head/graphics/libcdr01/Makefile
  head/graphics/libfreehand/Makefile
  head/graphics/libzmf/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/tesseract/Makefile
  head/irc/znc/Makefile
  head/java/openjfx8-devel/Makefile
  head/lang/gnustep-base/Makefile
  head/lang/parrot/Makefile
  head/lang/phantomjs/Makefile
  head/lang/spidermonkey38/Makefile
  head/lang/swift/Makefile
  head/lang/v8-devel/Makefile
  head/mail/cyrus-imapd30/Makefile
  head/mail/dovecot/Makefile
  head/mail/evolution/Makefile
  head/mail/evolution-ews/Makefile
  head/mail/postfix/Makefile
  head/mail/postfix-current/Makefile
  head/mail/rspamd/Makefile
  head/mail/rspamd-devel/Makefile
  head/mail/sendmail/Makefile
  head/mail/thunderbird/Makefile
  head/math/R/Makefile
  head/math/libqalculate/Makefile
  head/misc/sword/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/subtitlecomposer-kde4/Makefile
  head/net/freerdp/Makefile
  head/net/openldap24-server/Makefile
  head/net/yaz/Makefile
  head/net/zebra-server/Makefile
  head/net-im/mastodon/Makefile
  head/news/tin/Makefile
  head/print/harfbuzz-icu/Makefile
  head/print/libmspub01/Makefile
  head/print/tex-xetex/Makefile
  head/print/texlive-base/Makefile
  head/security/certificate-transparency/Makefile
  head/sysutils/gdisk/Makefile
  head/sysutils/osquery/Makefile
  head/sysutils/tracker/Makefile
  head/textproc/R-cran-stringi/Makefile
  head/textproc/dwdiff/Makefile
  head/textproc/ibus-qt/Makefile
  head/textproc/libe-book/Makefile
  head/textproc/libqxp/Makefile
  head/textproc/libvisio01/Makefile
  head/textproc/raptor2/Makefile
  head/textproc/rubygem-charlock_holmes/Makefile
  head/textproc/zorba/Makefile
  head/www/chromium/Makefile
  head/www/cppcms/Makefile
  head/www/epiphany/Makefile
  head/www/firefox/Makefile
  head/www/firefox-esr/Makefile
  head/www/iridium/Makefile
  head/www/libxul/Makefile
  head/www/mod_pagespeed/Makefile
  head/www/node/Makefile
  head/www/node4/Makefile
  head/www/node6/Makefile
  head/www/node8/Makefile
  head/www/palemoon/Makefile
  head/www/qt5-webkit/Makefile
  head/www/seamonkey/Makefile
  head/www/waterfox/Makefile
  head/www/webkit-gtk2/Makefile
  head/www/webkit-gtk3/Makefile
  head/www/webkit2-gtk3/Makefile
  head/x11/gnome-shell/Makefile
  head/x11/slop/Makefile
  head/x11-toolkits/gnustep-gui/Makefile
Comment 22 Antoine Brodin freebsd_committer 2018-04-07 18:32:22 UTC
Exp-run looks fine in 2018Q2 too.
Comment 23 Jan Beich freebsd_committer 2018-04-07 18:44:23 UTC
(In reply to Antoine Brodin from comment #22)
Thanks. Should I wait for someone else (say, ports-secteam) to approve MFH or assume it's already approved by you with portmgr hat?
Comment 24 Antoine Brodin freebsd_committer 2018-04-07 18:46:45 UTC
Yes approved.
Comment 25 commit-hook freebsd_committer 2018-04-07 19:10:19 UTC
A commit references this bug:

Author: jbeich
Date: Sat Apr  7 19:09:41 UTC 2018
New revision: 466760
URL: https://svnweb.freebsd.org/changeset/ports/466760

Log:
  MFH: r466648

  devel/icu: update to 61.1

  Changes:	http://site.icu-project.org/download/61
  ABI:		https://abi-laboratory.pro/tracker/timeline/icu4c/
  PR:		227042
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/archivers/unarchiver/Makefile
  branches/2018Q2/audio/musicpd/Makefile
  branches/2018Q2/audio/ncmpcpp/Makefile
  branches/2018Q2/databases/clickhouse/Makefile
  branches/2018Q2/databases/couchdb/Makefile
  branches/2018Q2/databases/evolution-data-server/Makefile
  branches/2018Q2/databases/firebird25-client/Makefile
  branches/2018Q2/databases/firebird25-server/Makefile
  branches/2018Q2/databases/kdb/Makefile
  branches/2018Q2/databases/postgresql10-server/Makefile
  branches/2018Q2/databases/postgresql96-server/Makefile
  branches/2018Q2/databases/sqlite3/Makefile
  branches/2018Q2/databases/tarantool/Makefile
  branches/2018Q2/deskutils/bijiben/Makefile
  branches/2018Q2/deskutils/calibre/Makefile
  branches/2018Q2/deskutils/gnome-calendar/Makefile
  branches/2018Q2/deskutils/gnome-todo/Makefile
  branches/2018Q2/deskutils/orage/Makefile
  branches/2018Q2/deskutils/osmo/Makefile
  branches/2018Q2/devel/boost-libs/Makefile
  branches/2018Q2/devel/dee/Makefile
  branches/2018Q2/devel/glib20/Makefile
  branches/2018Q2/devel/hs-text-icu/Makefile
  branches/2018Q2/devel/icu/Makefile
  branches/2018Q2/devel/icu/distinfo
  branches/2018Q2/devel/icu-le-hb/Makefile
  branches/2018Q2/devel/libical/Makefile
  branches/2018Q2/devel/libzim/Makefile
  branches/2018Q2/devel/objecthash/Makefile
  branches/2018Q2/devel/pecl-intl/Makefile
  branches/2018Q2/devel/php70-intl/Makefile
  branches/2018Q2/devel/php71-intl/Makefile
  branches/2018Q2/devel/php72-intl/Makefile
  branches/2018Q2/devel/py-pyicu/Makefile
  branches/2018Q2/devel/qt4-corelib/Makefile
  branches/2018Q2/devel/qt5-core/Makefile
  branches/2018Q2/dns/libpsl/Makefile
  branches/2018Q2/editors/libreoffice/Makefile.common
  branches/2018Q2/editors/poedit/Makefile
  branches/2018Q2/games/0ad/Makefile
  branches/2018Q2/games/an/Makefile
  branches/2018Q2/games/liblcf/Makefile
  branches/2018Q2/games/openttd/Makefile
  branches/2018Q2/games/widelands/Makefile
  branches/2018Q2/graphics/libcdr01/Makefile
  branches/2018Q2/graphics/libfreehand/Makefile
  branches/2018Q2/graphics/libzmf/Makefile
  branches/2018Q2/graphics/mapnik/Makefile
  branches/2018Q2/graphics/tesseract/Makefile
  branches/2018Q2/irc/znc/Makefile
  branches/2018Q2/java/openjfx8-devel/Makefile
  branches/2018Q2/lang/gnustep-base/Makefile
  branches/2018Q2/lang/parrot/Makefile
  branches/2018Q2/lang/phantomjs/Makefile
  branches/2018Q2/lang/spidermonkey38/Makefile
  branches/2018Q2/lang/swift/Makefile
  branches/2018Q2/lang/v8-devel/Makefile
  branches/2018Q2/mail/cyrus-imapd30/Makefile
  branches/2018Q2/mail/dovecot/Makefile
  branches/2018Q2/mail/evolution/Makefile
  branches/2018Q2/mail/evolution-ews/Makefile
  branches/2018Q2/mail/postfix/Makefile
  branches/2018Q2/mail/postfix-current/Makefile
  branches/2018Q2/mail/rspamd/Makefile
  branches/2018Q2/mail/rspamd-devel/Makefile
  branches/2018Q2/mail/sendmail/Makefile
  branches/2018Q2/mail/thunderbird/Makefile
  branches/2018Q2/math/R/Makefile
  branches/2018Q2/math/libqalculate/Makefile
  branches/2018Q2/misc/sword/Makefile
  branches/2018Q2/multimedia/aegisub/Makefile
  branches/2018Q2/multimedia/subtitlecomposer-kde4/Makefile
  branches/2018Q2/net/freerdp/Makefile
  branches/2018Q2/net/openldap24-server/Makefile
  branches/2018Q2/net/yaz/Makefile
  branches/2018Q2/net/zebra-server/Makefile
  branches/2018Q2/net-im/mastodon/Makefile
  branches/2018Q2/news/tin/Makefile
  branches/2018Q2/print/harfbuzz-icu/Makefile
  branches/2018Q2/print/libmspub01/Makefile
  branches/2018Q2/print/tex-xetex/Makefile
  branches/2018Q2/print/texlive-base/Makefile
  branches/2018Q2/security/certificate-transparency/Makefile
  branches/2018Q2/sysutils/gdisk/Makefile
  branches/2018Q2/sysutils/osquery/Makefile
  branches/2018Q2/sysutils/tracker/Makefile
  branches/2018Q2/textproc/R-cran-stringi/Makefile
  branches/2018Q2/textproc/dwdiff/Makefile
  branches/2018Q2/textproc/ibus-qt/Makefile
  branches/2018Q2/textproc/libe-book/Makefile
  branches/2018Q2/textproc/libqxp/Makefile
  branches/2018Q2/textproc/libvisio01/Makefile
  branches/2018Q2/textproc/raptor2/Makefile
  branches/2018Q2/textproc/rubygem-charlock_holmes/Makefile
  branches/2018Q2/textproc/zorba/Makefile
  branches/2018Q2/www/chromium/Makefile
  branches/2018Q2/www/cppcms/Makefile
  branches/2018Q2/www/epiphany/Makefile
  branches/2018Q2/www/firefox/Makefile
  branches/2018Q2/www/firefox-esr/Makefile
  branches/2018Q2/www/iridium/Makefile
  branches/2018Q2/www/libxul/Makefile
  branches/2018Q2/www/mod_pagespeed/Makefile
  branches/2018Q2/www/node/Makefile
  branches/2018Q2/www/node4/Makefile
  branches/2018Q2/www/node6/Makefile
  branches/2018Q2/www/node8/Makefile
  branches/2018Q2/www/palemoon/Makefile
  branches/2018Q2/www/qt5-webkit/Makefile
  branches/2018Q2/www/seamonkey/Makefile
  branches/2018Q2/www/waterfox/Makefile
  branches/2018Q2/www/webkit-gtk2/Makefile
  branches/2018Q2/www/webkit-gtk3/Makefile
  branches/2018Q2/www/webkit2-gtk3/Makefile
  branches/2018Q2/x11/gnome-shell/Makefile
  branches/2018Q2/x11/slop/Makefile
  branches/2018Q2/x11-toolkits/gnustep-gui/Makefile
Comment 27 commit-hook freebsd_committer 2018-04-07 19:20:30 UTC
A commit references this bug:

Author: jbeich
Date: Sat Apr  7 19:19:58 UTC 2018
New revision: 466761
URL: https://svnweb.freebsd.org/changeset/ports/466761

Log:
  devel/icu: fix PORTREVISION in consumers after r466760 (direct commit)

  PR:		227042
  Reported by:	antoine
  Pointy hat to:	jbeich
  Approved by:	ports-secteam blanket

Changes:
  branches/2018Q2/games/openttd/Makefile
  branches/2018Q2/www/webkit2-gtk3/Makefile
Comment 28 Jan Beich freebsd_committer 2018-04-07 19:20:55 UTC
(In reply to Antoine Brodin from comment #26)
Thanks. I forgot to check for false negatives with merge conflicts.